### Function

# Gimp patterns_get_list

#### Declaration [src]

    gchar**
    gimp_patterns_get_list (
      const gchar* filter
    )

#### Description [src]

Retrieve a complete listing of the available patterns.

This procedure returns a complete listing of available GIMP patterns. Each name returned can be used as input to the gimp_context_set_pattern().

#### Parameters

`filter` | `const gchar*`
| An optional regular expression used to filter the list.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | An array of `utf8`
         The list of pattern names.
         The returned value must be freed with g_strfreev().
| The array is `NULL`-terminated.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.